import request from '@/utils/request'

// 查询网格信息列表
export function listGridInfo(query) {
  return request({
    url: '/boman-web-core/gridInfo/list',
    method: 'get',
    params: query
  })
}

// 网格
export function listRoleergthwg(data) {
  return request({
    url: '/boman-web-core/gridInfo/treeSelect',
    method: 'post',
    data: data
  })
}

// 查询网格信息详细
export function getGridInfo(id) {
  return request({
    url: '/boman-web-core/gridInfo/' + id,
    method: 'get'
  })
}

// 新增网格信息
export function addGridInfo(data) {
  return request({
    url: '/boman-web-core/gridInfo',
    method: 'post',
    data: data
  })
}

// 修改网格信息
export function updateGridInfo(data) {
  return request({
    url: '/boman-web-core/gridInfo',
    method: 'put',
    data: data
  })
}

// 删除网格信息
export function delGridInfo(id) {
  return request({
    url: '/boman-web-core/gridInfo/' + id,
    method: 'delete'
  })
}
